import http from '@/http/http.js'
const request = http.request

/**
 * 获取叫号队列
 * @returns
 */
export function getCallTableQueue(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/callTable/queue`,
		method: "GET",
		data: {
			...data
		}
	})
}

/**
 * 获取叫号记录列表
 * @returns
 */
export function getCallRecord(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/callTable/callRecord`,
		method: "GET",
		data: {
			...data
		}
	})
}

/**
 * 获取叫号桌型
 * @returns
 */
export function getCallTable(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/callTable`,
		method: "GET",
		data: {
			...data
		}
	})
}

/**
 * 获取叫号号码
 * @returns
 */
export function callTableTakeNumber(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/callTable/takeNumber`,
		method: "POST",
		data: {
			...data
		}
	})
}

/**
 * 执行叫号
 * @returns
 */
export function callTableCall(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/callTable/call`,
		method: "POST",
		data: {
			...data
		}
	})
}

/**
 * 修改叫号状态
 * @returns
 */
export function updateCallTableState(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/callTable/updateState`,
		method: "PUT",
		data: {
			...data
		}
	})
}
